For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all project tasks that the current user can see.
      • GETReturns all tags of the project tasks.
      • GETReturns all project tasks of the project with the specified id.
      • GETReturns the project task with the specified id.
      • POSTChanges the project of the task with the specified id.
      • GETReturns the type of work for the project with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Tasks

Changes the project of the task with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/projecttasks/:taskId/changeproject
POST
/api/v1/projects/:projectId/projecttasks/:taskId/changeproject
$curl -X POST https://api.awork.com/api/v1/projects/projectId/projecttasks/taskId/changeproject \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "taskStatusMapping": [
> {
> "oldStatusId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
> "newStatusId": "b2c3d4e5-f678-90ab-cdef-234567890abc"
> }
> ]
>}'
1{}
Changes the project of the task with the specified id. This call also moves all subtasks of the task to the new project. This also changes the tracked time sum of the new project and the previous project. The related time entries of this task will also be moved to the new project. <Check title="Required Permissions" icon="key">The user must have `project-planning-data:write` permissions on both projects.</Check>
Was this page helpful?
Previous

Returns the type of work for the project with the specified id.

Next
Built with

Changes the project of the task with the specified id. This call also moves all subtasks of the task to the new project. This also changes the tracked time sum of the new project and the previous project. The related time entries of this task will also be moved to the new project.

Required Permissions
The user must have project-planning-data:write permissions on both projects.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
taskIdstringRequiredformat: "uuid"
The id of the task.

Request

The model to change the project of the task.
projectIdstringOptionalformat: "uuid"
The id of the project the task is assigned to.
taskStatusMappinglist of objects or nullOptional
The task status mapping from old task status to new task status.
taskStatusIdstring or nullOptionalformat: "uuid"Deprecated

Deprecated: use TaskStatusMapping instead. The id of the new status the task is assigned to.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error